#ifndef CIRCLE2D_H
#define CIRCLE2D_H
/*
* "$Header:$"
*
*/

/*
#include <string>
#include <vector>
*/

#include "Point2D.h"

using namespace std ;

/**
* @brief A circle represented by center point coordinate and radius.
* @since 2013-07-03
* @author Richard J. Mathar
*/
class Circle2D : public Point2D {

public:
	/** The radius.
	*/
	double rad ;

	Circle2D(double x, double y, double r) ;
	Circle2D(const Point2D ctr, double r) ;
	Circle2D() ;
	// ~Circle2D() ;

	bool overlap(const Circle2D & oth) const ;

protected:

private:

} ; /* Circle2D */

#endif /* CIRCLE2D_H */

